package com.ruoyi.common.constant;

import java.util.LinkedHashMap;
import java.util.Map;

public class IpcType {
	

	public static Map<String,IpcType>ALL=new LinkedHashMap<String,IpcType>();
	
	private String typeId;
	private String typeName;
	
	
	
//	A	人类生活必需
//	B	作业；运输
//	C	化学；冶金
//	D	纺织；造纸
//	E	固定建筑物
//	F	机械工程；照明；加热；武器；爆破
//	G	物理
//	H	电学

	public static IpcType A=new IpcType("A","人类生活必需");
	public static IpcType B=new IpcType("B","作业；运输");
	public static IpcType C=new IpcType("C","化学；冶金");
	public static IpcType D=new IpcType("D","纺织；造纸");
	public static IpcType E=new IpcType("E","固定建筑物");
	public static IpcType F=new IpcType("F","机械工程；照明；加热；武器；爆破");
	public static IpcType G=new IpcType("G","物理");
	public static IpcType H=new IpcType("H","电学");
	
	
	
	
	
	public IpcType(String typeId, String typeName) {
		this.typeId = typeId;
		this.typeName = typeName;
		ALL.put(typeId, this);
	}
	
	
	public static IpcType valueOf(String typeId) {
		return ALL.get(typeId);
	}
	
	public String getTypeId() {
		return typeId;
	}
	public void setTypeId(String typeId) {
		this.typeId = typeId;
	}
	public String getTypeName() {
		return typeName;
	}
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	
	
	
}
